module factorymethod.pizzafactorymethod.chicagostyleclampizza;

import factorymethod.pizzafactorymethod.pizza;
import std.stdio : writeln;

class ChicagoStyleClamPizza : Pizza
{
    this()
    { 
        name = "Chicago Style Clam Pizza";
        dough = "Extra Thick Crust Dough";
        sauce = "Plum Tomato Sauce";
 
        toppings ~= "Shredded Mozzarella Cheese";
        toppings ~= "Frozen Clams from Chesapeake Bay";
    }
 
    override void cut()
    {
        writeln("Cutting the pizza into square slices");
    }
}
